Bug 1032892 - Unable to use tab filling for path starting with a drive letter on windows.
Unable to use tab filling for path starting with a drive letter on windows.
Status: VERIFIED
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: DR4
: EAP 6.4.0
Assigned To: trev
Petr Kremensky
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-21 02:36 EST by Petr Kremensky
Modified: 2015-10-05 22:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
In previous versions of JBoss EAP 6, tab completion for directory paths which start with a drive letter was not working in the console installer of JBoss EAP 6 on Microsoft Windows Server. When entering a path which starts with a drive letter, for example `C:\`, and pressing the +Tab+ key, nothing was shown. In this situation, it is expected that it will show the contents of that directory. This issue has been fixed in this release and tab-completion works as expected.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-11-21 02:36:09 EST
Description of problem:
I am unable to use tab for filling path starting with the driver name on windows.

Version-Release number of selected component (if applicable):
EAP 6.2.0.ER3

Steps to Reproduce:
1. Start console installation
2. Accept EULA and try to enter some path using tab

Actual results:
"C:\" + tab: don't show any folders

Expected results:
"C:\" + tab: will show content of C:\

Additional info:
 Targeting EAP-6.3
 Rest of BZ1013972 issue
Comment 2 Scott Mumford 2014-05-13 18:18:52 EDT
marking for exclusion from release notes as per bug 1097065.
Comment 3 Miles Tjandrawidjaja 2014-07-04 10:32:52 EDT
I have a patch for this in jline. Would have to rebuild jline and update the jline versions in our installer poms to implement.
Comment 4 Petr Kremensky 2014-07-09 03:32:02 EDT
Re-adding the doc_text flag as it was removed due to beta RN.
Comment 5 Ahmed Abu Lawi 2014-10-09 09:59:27 EDT
We've moved from jline to aesh for the console installer.

Tab completion should now be available in Windows.
Comment 6 Petr Kremensky 2014-10-21 07:29:31 EDT
Verified on EAP 6.4.0.DR4 installer.

Note You need to log in before you can comment on or make changes to this bug.